/*
 * crc32.h
 *
 * Copyright (C) 2006 by Digi International Inc.
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 as published by
 * the Free Software Foundation.
 */
/*
 *
 * !Revision: $Revision: 1.3 $
 * !Descr: Flash Test Util
 * !References: from mtd-utils/crc32.c
 */

#ifndef CRC32_H
#define CRC32_H

#include <stdint.h>             /* uint32_t */
#include <stdlib.h>             /* size_t */

#ifdef __cplusplus
extern "C" {
#endif

typedef uint32_t crc32_t;
extern crc32_t crc32( crc32_t uiCRC, const void* pvBuf, size_t iLen );

#ifdef __cplusplus
}
#endif

#endif /* CRC32_H */
